Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354202 - Review Request: purple-hangouts - Adds support for Hangouts to libpurple-based clients
Summary: Review Request: purple-hangouts - Adds support for Hangouts to libpurple-base...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 17:27 UTC by Vitaly Zaitsev
Modified: 2016-08-04 23:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 23:54:17 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Vitaly Zaitsev 2016-07-10 17:27:03 UTC
Spec URL: https://github.com/xvitaly/purple-hangouts/raw/master/purple-hangouts.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/xvitaly/purple-hangouts/fedora-24-x86_64/00376082-purple-hangouts/purple-hangouts-1.0-30.20160710hg5378549.fc24.src.rpm

Description: Adds support for Hangouts to Pidgin, Adium, Finch and other libpurple based messengers.

Fedora Account System Username: xvitaly

Comment 1 Igor Gnatenko 2016-07-10 17:39:30 UTC
Will make review in few hours.

Comment 2 Igor Gnatenko 2016-07-10 18:44:43 UTC
> Version: 1.0
actually it was never released, so version is: 0

> BuildRequires: pkgconfig(nss)
not used

> %post -p /sbin/ldconfig
not needed, as library installs into private directory

spec and SRPM's spec are different:
Diff spec file in url and in SRPM
---------------------------------
--- /home/brain/1354202-purple-hangouts/srpm/purple-hangouts.spec       2016-07-10 20:34:47.236258515 +0200
+++ /home/brain/1354202-purple-hangouts/srpm-unpacked/purple-hangouts.spec      2016-07-10 19:24:36.000000000 +0200
@@ -55,4 +55,9 @@
 chmod 755 %{buildroot}%{_libdir}/purple-2/lib%{plugin_name}.so

+# Installing icons...
+install -p hangouts16.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/16/%{plugin_name}.png
+install -p hangouts22.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/22/%{plugin_name}.png
+install -p hangouts48.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/48/%{plugin_name}.png
+
 %files
 %{_libdir}/purple-2/lib%{plugin_name}.so

Comment 3 Vitaly Zaitsev 2016-07-10 19:10:34 UTC
> actually it was never released, so version is: 0

Fixed.

> not needed, as library installs into private directory

Already removed in new SPEC.

> spec and SRPM's spec are different:

Resolved. New SRPM: https://copr-be.cloud.fedoraproject.org/results/xvitaly/purple-hangouts/fedora-24-x86_64/00376098-purple-hangouts/purple-hangouts-0-31.20160710hg5378549.fc24.src.rpm

Comment 4 Igor Gnatenko 2016-07-10 19:20:58 UTC
everything looks good except CFLAGS/LDFLAGS are not used.

Comment 5 Vitaly Zaitsev 2016-07-12 22:37:03 UTC
> everything looks good except CFLAGS/LDFLAGS are not used.

Fixed in upstream.

New SRPM: https://copr-be.cloud.fedoraproject.org/results/xvitaly/purple-hangouts/fedora-24-x86_64/00381440-purple-hangouts/purple-hangouts-0-33.20160712hg2c60a5e.fc24.src.rpm

Comment 7 Gwyn Ciesla 2016-07-19 18:52:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/purple-hangouts

Comment 8 Fedora Update System 2016-07-20 12:09:36 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-084d75739e

Comment 9 Fedora Update System 2016-07-20 12:10:24 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8a7b33ec2

Comment 10 Fedora Update System 2016-07-20 12:11:02 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d79e976dda

Comment 11 Fedora Update System 2016-07-20 18:19:49 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d79e976dda

Comment 12 Fedora Update System 2016-07-20 18:48:31 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-084d75739e

Comment 13 Fedora Update System 2016-07-21 04:21:19 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8a7b33ec2

Comment 14 Fedora Update System 2016-07-28 23:54:15 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-29 02:52:00 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-04 23:20:59 UTC
purple-hangouts-0-34.20160714hgd6eb7fe.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.